ZFS-SET(8)

NAME
zfs-set - set properties on ZFS datasets

SYNOPSIS
zfs set property=value [property=value]… filesystem|volume|snapshot…
zfs get [-r|-d depth] [-Hp] [-o field[,field]…] [-s source[,source]…] [-t type[,type]…] all|property[,property]… [filesystem|volume|snapshot|bookmark]…
zfs inherit [-rS] property filesystem|volume|snapshot…

DESCRIPTION

    zfs set property=value [property=value]… filesystem|volume|snapshot… Only some properties can be edited. See zfsprops(7) for more information on what properties can be set and acceptable values. Numeric values can be specified as exact values, or in a human-readable form with a suffix of B, K, M, G, T, P, E, Z (for bytes, kilobytes, megabytes, gigabytes, terabytes, petabytes, exabytes, or zettabytes, respectively). User properties can be set on snapshots. For more information, see the User Properties section of zfsprops(7).

    zfs get [-r|-d depth] [-Hp] [-o field[,field]…] [-s source[,source]…] [-t type[,type]…] all|property[,property]… [filesystem|volume|snapshot|bookmark]… Displays properties for the given datasets. If no datasets are specified, then the command displays properties for all datasets on the system. For each property, the following columns are displayed:
    name
        Dataset name
    property
        Property name
    value
        Property value
    source
        Property source local, default, inherited, temporary, received, or - (none).

    All columns are displayed by default, though this can be controlled by using the -o option. This command takes a comma-separated list of properties as described in the Native Properties and User Properties sections of zfsprops(7).

    The value all can be used to display all properties that apply to the given dataset's type (filesystem, volume, snapshot, or bookmark).

    -H  Display output in a form more easily parsed by scripts. Any headers are omitted, and fields are explicitly separated by a single tab instead of an arbitrary amount of space.

    -d depth
        Recursively display any children of the dataset, limiting the recursion to depth. A depth of 1 will display only the dataset and its direct children.

    -o field
        A comma-separated list of columns to display, defaults to name,property,value,source.

    -p  Display numbers in parsable (exact) values.

    -r  Recursively display properties for any children.

    -s source
        A comma-separated list of sources to display. Those properties coming from a source other than those in this list are ignored. Each source must be one of the following: local, default, inherited, temporary, received, or none. The default value is all sources.

    -t type
        A comma-separated list of types to display, where type is one of filesystem, snapshot, volume, bookmark, or all.

    zfs inherit [-rS] property filesystem|volume|snapshot… Clears the specified property, causing it to be inherited from an ancestor, restored to default if no ancestor has the property set, or with the -S option reverted to the received value if one exists. See zfsprops(7) for a listing of default values, and details on which properties can be inherited.

    -r  Recursively inherit the given property for all children.

    -S  Revert the property to the received value if one exists; otherwise operate as if the -S option was not specified.

SEE ALSO
zfsprops(7), zfs-list(8)